package com.fs.store.vo.h5;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 用户分页列表返回对象
 */
@Data
@ApiModel
public class FsUserPageListVO {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户头像")
    private String avatar;

    @ApiModelProperty(value = "用户昵称")
    private String nickname;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "状态：1为正常，0为禁止")
    private Integer status;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "销售id（目前的登录用户id）")
    private Long companyUserId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "注册时间")
    private Date createTime;

    @ApiModelProperty(value = "看课数量")
    private Long watchCourseCount;

    @ApiModelProperty(value = "缺课数量")
    private Long missCourseCount;

    @ApiModelProperty(value = "缺课状态，1-已缺课；2-未缺课")
    private Long missCourseStatus;

    @ApiModelProperty(value = "参与营期数量")
    private Long partCourseCount;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "最后一次看课时间")
    private Date lastWatchDate;

    @ApiModelProperty(value = "用户状态，1-正常；2-停止；3-未看")
    private Long courseCountStatus;

    @ApiModelProperty(value = "停课天数")
    private Long stopWatchDays;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "完播时间")
    private Date completeWatchDate;

    @ApiModelProperty(value = "标签ids，多个用逗号隔开")
    private String tagIds;

    @ApiModelProperty(value = "标签名称")
    private String tag;

    @ApiModelProperty(value = "销售名称")
    private String companyUserNickName;


}
